-- written by DaddelZeit
-- DO NOT USE WITHOUT PERMISSION

local M = {}

local function onUpdate()
    local entry = core_modmanager.getModDB("zeit_radio_usermusic")
    if entry then
        if not entry.unpackedPath then
            core_modmanager.unpackMod("zeit_radio_usermusic")
        end
    end
end

local function onExtensionLoaded()
    local entry = core_modmanager.getModDB("zeit_radio_usermusic")
    local isInstalled = entry ~= nil
    if not isInstalled then
        -- copy the template
        FS:copyFile("/settings/zeit/radio/zeit_radio_usermusic", "/mods/zeit_radio_usermusic.zip")
    end
    M.filepath = "/mods/unpacked/zeit_radio_usermusic/art/zeitRadio/"
end

M.onExtensionLoaded = onExtensionLoaded
M.onUpdate = onUpdate

return M